import 'package:flutter/services.dart';

/// Independent push notifications helper
///
/// @author Pierre Hubert

class IndependentPushNotificationsHelper {
  static const platform = const MethodChannel(
      "org.communiquons.comunic/independent-push-notifications-service");

  /// Call this method to prepare the application for background refresh by
  /// requesting appropriate permissions, configuring battery optimization...
  ///
  /// Throws an Exception in case of failure
  static Future<void> preConfigure() async {
    await platform.invokeMethod("preConfigure");
  }
}
